/// class PD.Web.UI.Controls.ViewGridHeaderModule
/// using PD.Web.UI.Controls.GridModule

PD.Web.UI.Controls.ViewGridHeaderModule =
PD.Web.UI.Controls.GridModule.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    start: function () {

        var NS = PD.Web.UI.Controls;

        this.get_grid().addHeaderWidget(new NS.OptionsMenuGridWidget({
            grid: this.get_grid()
        }));

        this.get_grid().addHeaderWidget(new NS.SearchInResultsGridWidget({
            dock: "right",
            grid: this.get_grid()
        }));

    }

});